execute at @a[gamemode=survival] if block ~ ~2 ~ minecraft:barrier run particle minecraft:enchanted_hit ~ ~2.3 ~ 1 0.5 1 0 10
execute at @a[gamemode=survival] if block ~1 ~ ~ minecraft:barrier run particle minecraft:enchanted_hit ~1.3 ~0.5 ~ 0.5 1 1 0 10
execute at @a[gamemode=survival] if block ~-1 ~ ~ minecraft:barrier run particle minecraft:enchanted_hit ~-1.3 ~0.5 ~ 0.5 1 1 0 10
execute at @a[gamemode=survival] if block ~ ~ ~1.3 minecraft:barrier run particle minecraft:enchanted_hit ~ ~0.5 ~1.3 1 1 0.5 0 10
execute at @a[gamemode=survival] if block ~ ~ ~-1.3 minecraft:barrier run particle minecraft:enchanted_hit ~ ~0.5 ~-1.3 1 1 0.5 0 10
execute at @a[gamemode=survival] if block ~ ~-1 ~ minecraft:barrier run particle minecraft:enchanted_hit ~ ~-0.7 ~ 1 0.5 1 0 10

scoreboard objectives add powupRNG dummy
scoreboard objectives add pearlTime dummy
scoreboard objectives add spawnPU dummy
scoreboard objectives add PUsignal dummy
scoreboard objectives add selPU dummy

team add c_dgreen
team modify c_dgreen color dark_green
team add c_aqua
team modify c_aqua color aqua
team add c_red
team modify c_red color red
team add c_lpurple
team modify c_lpurple color light_purple
team add c_gold
team modify c_gold color gold
team add c_green
team modify c_green color green

team join c_dgreen @e[type=item,nbt={OnGround:1b,Item:{id:"minecraft:ender_pearl"}}]
team join c_aqua @e[type=item,nbt={OnGround:1b,Item:{id:"minecraft:splash_potion"}}]
team join c_red @e[type=item,nbt={OnGround:1b,Item:{id:"minecraft:tipped_arrow",Count:1b,tag:{Potion:"minecraft:healing"}}}]
team join c_lpurple @e[type=item,nbt={OnGround:1b,Item:{id:"minecraft:egg"}}]
team join c_gold @e[type=item,nbt={OnGround:1b,Item:{id:"minecraft:wooden_sword"}}]
team join c_green @e[type=item,nbt={OnGround:1b,Item:{id:"minecraft:tipped_arrow",Count:1b,tag:{Potion:"minecraft:poison"}}}]

scoreboard players add @e[sort=random,limit=1,type=armor_stand,name="powerUp"] powupRNG 1

scoreboard players set @e[type=armor_stand,name="powerUp",scores={powupRNG=7}] powupRNG 1

execute at @e[type=armor_stand,name="selPU",scores={selPU=1}] run execute at @e[type=armor_stand,name="playerCheck"] run execute as @p[distance=..80] run scoreboard players add @e[name="PUplaceholder"] spawnPU 1
execute as @e[scores={spawnPU=200}] run scoreboard players set @e[sort=random,limit=1,type=armor_stand,name="powerUp"] PUsignal 1
scoreboard players set @e[scores={spawnPU=201..}] spawnPU 0

execute as @e[type=armor_stand,scores={PUsignal=1,powupRNG=1}] run summon minecraft:item 80 58 -89 {Glowing:1b,CustomNameVisible:1b,Team:"c_dgreen",Age:-32768,CustomName:'{"text":"Warper","color":"dark_green","bold":true,"italic":false}',Item:{id:"minecraft:ender_pearl",Count:1b,tag:{display:{Name:'{"text":"Warper","color":"dark_green","bold":true,"italic":false}',Lore:['{"text":"Once thrown, the warper will teleport you to a platform","color":"dark_purple","italic":false}']},HideFlags:63}}}
execute as @e[type=armor_stand,scores={PUsignal=1,powupRNG=2}] run summon minecraft:item 80 58 -89 {Glowing:1b,CustomNameVisible:1b,Team:"c_lpurple",Age:-32768,CustomName:'{"text":"Bridge Egg","color":"light_purple","bold":true,"italic":false}',Item:{id:"minecraft:egg",Count:1b,tag:{display:{Name:'{"text":"Bridge Egg","color":"light_purple","bold":true,"italic":false}',Lore:['{"text":"The bridge egg creates a bridge in the direction it\'s thrown","color":"dark_purple","italic":false}']},HideFlags:63}}}
execute as @e[type=armor_stand,scores={PUsignal=1,powupRNG=3}] run summon minecraft:item 80 58 -89 {Glowing:1b,CustomNameVisible:1b,Team:"c_red",Age:-32768,CustomName:'{"text":"TNT Arrow","color":"red","bold":true,"italic":false}',Item:{id:"minecraft:tipped_arrow",Count:1b,tag:{display:{Name:'{"text":"TNT Arrow","color":"red","bold":true,"italic":false}',Lore:['{"text":"Explodes when hitting any block","color":"dark_purple","italic":false}']},HideFlags:63,Potion:"minecraft:healing"}}}
execute as @e[type=armor_stand,scores={PUsignal=1,powupRNG=4}] run summon minecraft:item 80 58 -89 {Glowing:1b,CustomNameVisible:1b,Team:"c_aqua",Age:-32768,CustomName:'{"text":"Freeze Potion","color":"aqua","bold":true,"italic":false}',Item:{id:"minecraft:splash_potion",Count:1b,tag:{display:{Name:'{"text":"Freeze Potion","color":"aqua","bold":true,"italic":false}',Lore:['{"text":"Freezes the victim for 5 seconds","color":"dark_purple","italic":false}']},HideFlags:63,CustomPotionEffects:[{Id:26b,Amplifier:1b,Duration:40}],CustomPotionColor:1561087}}}
execute as @e[type=armor_stand,scores={PUsignal=1,powupRNG=5}] run summon minecraft:item 80 58 -89 {Glowing:1b,CustomNameVisible:1b,Team:"c_gold",Age:-32768,CustomName:'{"text":"Slapper","color":"gold","bold":true,"italic":false}',Item:{id:"minecraft:wooden_sword",Count:1b,tag:{display:{Name:'{"text":"Slapper","color":"gold","bold":true,"italic":false}',Lore:['{"text":"Deals knockback to the victim. Good for 2 hits","color":"dark_purple","italic":false}']},HideFlags:63,Damage:57,Enchantments:[{id:"minecraft:knockback",lvl:2s}]}}}
execute as @e[type=armor_stand,scores={PUsignal=1,powupRNG=6}] run summon minecraft:item 80 58 -89 {Glowing:1b,CustomNameVisible:1b,Team:"c_green",Age:-32768,CustomName:'{"text":"Poison Arrow","color":"green","bold":true,"italic":false}',Item:{id:"minecraft:tipped_arrow",Count:1b,tag:{display:{Name:'{"text":"Poison Arrow","color":"green","bold":true,"italic":false}',Lore:['{"text":"Applies poison to your enemies","color":"dark_purple","italic":false}']},HideFlags:63,Potion:"minecraft:poison"}}}

scoreboard players set @e[type=armor_stand,name="powerUp",scores={PUsignal=1}] PUsignal 2
scoreboard players set @e[type=armor_stand,name="powerUp",scores={PUsignal=2}] PUsignal 0

execute at @e[type=armor_stand,name="spreadPU"] run spreadplayers 17 -316 5 32 under 76 false @e[type=item,distance=..5]
execute at @e[type=armor_stand,name="spreadPU"] run spreadplayers 17 -316 5 32 under 76 false @e[type=tnt,distance=..5]

# Freeze potion
effect give @a[nbt={ActiveEffects:[{Id:26b}]}] minecraft:slowness 4 250 false
effect give @a[nbt={ActiveEffects:[{Id:26b}]}] minecraft:jump_boost 4 250 false
kill @e[type=arrow,nbt={CustomNameVisible:1b,inGround:1b,CustomName:'{"text":"Freeze Arrow","color":"aqua","bold":true,"italic":false}'}]

# Pearl
scoreboard players add @e[type=ender_pearl] pearlTime 1
scoreboard players add @e[type=armor_stand,name="pearlBarrier"] pearlTime 1
execute at @e[type=ender_pearl,scores={pearlTime=15}] run fill ~-1 ~-2 ~-1 ~1 ~-2 ~1 smooth_stone
execute at @e[type=ender_pearl,scores={pearlTime=15}] run setblock ~ ~-2 ~ sea_lantern
execute at @e[type=ender_pearl,scores={pearlTime=15}] run summon minecraft:armor_stand ~ ~ ~ {NoGravity:1b,Invulnerable:1b,Marker:1b,Invisible:1b,NoBasePlate:1b,PersistenceRequired:1b,DisabledSlots:4144959,CustomName:'{"text":"pearlBarrier"}'}
execute at @e[type=ender_pearl,scores={pearlTime=15}] run setblock ~ ~ ~ barrier
execute at @e[type=armor_stand,name=pearlBarrier,scores={pearlTime=1}] run setblock ~ ~ ~ air
execute as @e[type=armor_stand,name=pearlBarrier,scores={pearlTime=2..}] if block ~ ~ ~ air run kill @s

# Bridge egg
execute at @e[type=egg] run setblock ~ ~-2 ~ purple_stained_glass
tp @e[type=chicken] 0 -100 0

# TNT arrow
execute at @e[type=arrow,nbt={Potion:"minecraft:healing",inGround:1b}] run summon tnt ~ ~ ~

# Poison arrow
execute at @e[type=arrow,nbt={Potion:"minecraft:poison",inGround:1b}] run particle dust 0.165 0.471 0.118 3 ~ ~0.2 ~ 01 0.1 1 1 50 normal
execute at @e[type=arrow,nbt={Potion:"minecraft:poison",inGround:1b}] run effect give @a[distance=..2] poison 10 1
kill @e[type=arrow,nbt={inGround:1b}]